---
title: "XML file sent from Price-Repo"
url: "https://developer.migros.ch/apis/prices-discounts-1/versions/f2d88540-a3d1-4e7d-9eb7-5d3dac51c93d/operations/auditXml"
---

> Full API specification: https://developer.migros.ch/apis/prices-discounts-1/versions/f2d88540-a3d1-4e7d-9eb7-5d3dac51c93d.md

# XML file sent from Price-Repo

`GET` `/migros/products/prices/v1/audit/xml/{date}/{name}`

Operation ID: `auditXml`

The XML from the Price-Repo. You must not parse and must not process the returned XML.

## Path parameters

- `date` (string, required) - Date
- `name` (string, required) - Filename

## Responses

- `200` - XML as sent from Price-Repo

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Prices & Discounts
  version: 1.6.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/products/prices/v1/audit/xml/{date}/{name}:
    get:
      description: |-
        The XML from the Price-Repo.

        You must not parse and must not process the returned XML.
      operationId: auditXml
      parameters:
        - description: Date
          in: path
          name: date
          required: true
          schema:
            type: string
        - description: Filename
          in: path
          name: name
          required: true
          schema:
            type: string
      responses:
        "200":
          content:
            application/xml: {}
          description: XML as sent from Price-Repo
      summary: XML file sent from Price-Repo
      tags:
        - Audit
security:
  - Kong-Api-Key: []
components:
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
